> For the complete documentation index, see [llms.txt](https://docs.pagsmile.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pagsmile.com/reference/issuing-card-api/business/card/card-balance-return.md).

# Card Balance Return

### **Request** URI <a href="#payin-by-creditcard" id="payin-by-creditcard"></a>

`POST` `/issuing/card/recharge-return`

### **Request Body**

**Refer to :** [**common**](/reference/issuing-card-api/common.md)

**Biz\_data :**

<table><thead><tr><th width="218.42578125">Name</th><th width="190.26953125">Type</th><th>Description</th></tr></thead><tbody><tr><td>payee_account_num<mark style="color:red;">*</mark></td><td>string(48)</td><td>Payee Account Number</td></tr><tr><td>card_token<mark style="color:red;">*</mark></td><td>string(20)</td><td>Card token</td></tr><tr><td>order_no<mark style="color:red;">*</mark></td><td>string(32)</td><td>Order number.Globally unique</td></tr><tr><td>amount<mark style="color:red;">*</mark></td><td>String</td><td>Topup amount.Refer to : <a href="/pages/xKYtt4irJWQg6vty2o52">unit</a></td></tr><tr><td>currency<mark style="color:red;">*</mark></td><td>string(3)</td><td>A 3-letter ISO currency code</td></tr><tr><td>reference</td><td>string(128)</td><td>Remarks</td></tr></tbody></table>

### **Request** Example <a href="#example" id="example"></a>

```
{
    "app_id": "00000000000000000",
    "partner_id": "00000000000000000",
    "request_id": "AcdadFdC-d9AE-eaf1-53df-ef1af3Fd",
    "timestamp": "2025-04-07 13:56:57",
    "format": "JSON",
    "version": "2.0",
    "sign_type": "RSA",
    "biz_data": {
        "card_token": "450620141926",
        "order_no": "68BDddCc-3fAE-325B-F926-F2E62FCB",
        "payee_account_num": "104190000004",
        "amount": "0.23",
        "currency": "USD",
        "reference": "remark"
    },
    "random_key": "<generated_key>"
}
// The biz_data in this example needs to be encrypted!
```

### Response <a href="#example" id="example"></a>

| Name            | Type   | Description    |
| --------------- | ------ | -------------- |
| transaction\_id | string | Transaction ID |

{% tabs %}
{% tab title="200:OK" %}

```
{
    "code": "10000",
    "msg": "Success",
    "total": 1,
    "random_key": "<random key used for decryption>",
    "sign_type": "RSA",
    "app_id": "00000000000000000",
    "data": {
        "transaction_id": "100000076797"
    }
}
// The data in this example has already been decrypted.
```

{% endtab %}

{% tab title="400: invalid-signature" %}

```
{
    "code": "40002",
    "msg": "Business Failed",
    "sub_code": "invalid-signature",
    "sub_msg": "invalid signature"
}
```

{% endtab %}
{% endtabs %}
